List External Company's Vacancies
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/vacancies \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/vacancies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/vacancies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"results": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"job_title": "Staffing coordinator",
"job_description": "We are looking for a competent Staffing coordinator to undertake a variety of tasks such as recruitment, orientation and placement of Employees. You will also be the one to ensure that the Company complies with all relevant laws regarding employment.",
"location": {
"lat": 51.0216707,
"lng": 2.6887328
},
"company": "8cbdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"last_updated": "2021-01-21T17:32:28Z"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"job_title": "HR assistant",
"job_description": "We are looking for an HR Assistant to undertake a variety of HR administrative duties.",
"location": {
"lat": 50.0216707,
"lng": 3.6887328
},
"company": "9abdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"last_updated": "2021-01-22T15:02:00Z"
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"job_title": "HR analyst",
"job_description": "We are looking for an HR Analyst to gather and process qualitative and quantitative data around jobs, compensation and employment trends.",
"location": {
"lat": 51.0516707,
"lng": 4.6887328
},
"company": "9hbdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"last_updated": "2021-01-21T17:46:29Z"
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]max connections reached: <limit>[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]CRUD
List External Company's Vacancies
Get an overview of all the Vacancies stored inside the system that are linked to the specified External Company.
List External Company's Vacancies
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- https://techwolf.eu.auth0.com/oauth/token
Scopes1
read
allows reading resources
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Response
OK
Total number of Vacancy objects stored inside the system.
Required range:
x >= 0Example:
3
Subset of Vacancies starting from offset up to offset + limit.
Show child attributes
Show child attributes
Example:
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"job_title": "Staffing coordinator",
"job_description": "We are looking for a competent Staffing coordinator to undertake a variety of tasks such as recruitment, orientation and placement of Employees. You will also be the one to ensure that the Company complies with all relevant laws regarding employment.",
"location": { "lat": 51.0216707, "lng": 2.6887328 },
"company": "8cbdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"last_updated": "2021-01-21T17:32:28Z"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"job_title": "HR assistant",
"job_description": "We are looking for an HR Assistant to undertake a variety of HR administrative duties.",
"location": { "lat": 50.0216707, "lng": 3.6887328 },
"company": "9abdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"last_updated": "2021-01-22T15:02:00Z"
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"job_title": "HR analyst",
"job_description": "We are looking for an HR Analyst to gather and process qualitative and quantitative data around jobs, compensation and employment trends.",
"location": { "lat": 51.0516707, "lng": 4.6887328 },
"company": "9hbdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"last_updated": "2021-01-21T17:46:29Z"
}
]
Was this page helpful?